PROBE::NFSD.CREATE(3stap)

NAME
probe::nfsd.createv3 - NFS server creating a regular file or set file attributes for client

SYNOPSIS

nfsd.createv3

VALUES

verifier
    file attributes (atime,mtime,mode). It's used to reset file attributes for CREATE_EXCLUSIVE

client_ip
    the ip address of client

iap_mode
    file access mode

filename
    file name

filelen
    the length of file name

createmode
    create mode .The possible values could be: NFS3_CREATE_EXCLUSIVE, NFS3_CREATE_UNCHECKED, or NFS3_CREATE_GUARDED

truncp
    trunp arguments, indicates if the file shouldbe truncate

iap_valid
    Attribute flags

fh
    file handle (the first part is the length of the file handle)

DESCRIPTION

This probepoints is only called by nfsd3_proc_create and nfsd4_open when op_claim_type is NFS4_OPEN_CLAIM_NULL.

SEE ALSO
tapset::nfsd(3stap)